void setup() { //<>//
  // TODO: Set the paper size to "Letter" size (216 mm X 279 mm) by changing the pixel values in 'size()'
  size(612, 790);
  font = createFont("Arial",16, true);  // Arial, 16 point, anti-aliasing on
  textFont(font);
  
  // (call 1) Create Input Fields for the number of electrodes
  createUI();
}

void draw() {
  background(255);
  
  // (call 2b) Drawing the electrodes
  drawElectrodes(n_row, n_col, x, y);  // "n_row", "n_col", "x", and "y" are defined in the pset1_header file.
  
  // (call 2c) Drawing the wires
  drawWires(spacing, wireThicknessInside, wireThicknessOutside);  // "spacing", "wireThicknessInside", and "wireThicknessOutside" are defined in the pset1_header file.
}


/*
  TODO:
  (1) Create Input Fields for the Number of Electrodes:
  
      Create two input fields that allow the user to set the desired number of electrodes for the 'rows' and 'columns' (default value should be 10 electrodes for each).
      Create a plus button and a minus button for each input field.
      
      Set the upper and lower bounds for the number of electrodes that can be generated using the plus and minus buttons.
      Make sure the user cannot enter negative values.
      No more than 12 electrodes can fit on a signle row; the user should not be allowed to exceed this number in both input fields.
*/
void createUI() {
}


/*
  (2) Drawing the Electrodes and Wires:
*/

/*
  TODO:
  2a. Drawing one electrode:
  An electrode is a rectangle rotated by 45 degrees.
  You can use the quad() function to draw an electrode.
*/
void drawSingleElectrode(float _x, float _y, float _sideLength){
}

/*
  TODO:
  2b. Drawing multiple electrodes & linking the number of electrodes to UI input:
*/
void drawElectrodes(int _row, int _col, int _init_x, int _init_y) {
  // (call 2a) Call drawSingleElectrode() function iteratvily to draw multiple electrodes
  drawSingleElectrode(_init_x, _init_y, electrodeSize);  // "electrodeSize" is defined in the pset1_header file.
}

/*
  TODO:
  2c. Draw the wires that connect the electrodes.
  At the end of each row/column, the wire is routed to connect to an FPC connector. 
*/
void drawWires(float _spacing, float _thicknessInside, float _thicknessOutside) {
}


/*
  TODO:
  (3) Preview Function for Looking at Each Layer Individually:
  
      Create a button that toggles between the design's top and bottom layer views.
      Clicking the button should either show the top layer or the bottom layer individually.
      
      Link the function below to the 'Switch View' button.
*/
public void switchView() {
}


/*
  TODO:
  (4) Export Function for Saving the Fabrication Files:
  
      Create a button that, when clicked, saves the generated electrodes into two .pdf files.
      The bottom-electrodes.pdf should contain the "row electrodes", and the top-electrodes.pdf should contain the "columns electrodes".
      
      Link the function below to the 'Save Views' button.
*/
public void saveViews() {
}
